Bug 28384 - [acpi] SMP system hangs on swap file init
[acpi] SMP system hangs on swap file init
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-19 23:34 EST by Daniel Weber
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-20 22:23:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Weber 2001-02-19 23:34:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)


Asus P2L97 dual celeron ATI mach64 20G standard worksystem install.  
System boots when booted under linux-up.  Two installs (custom and 
standard Workstation) repeatible.  256M RAM 20G drive formatted once by 
disk druid and once automatically by installer.

Reproducible: Always
Steps to Reproduce:
1. Install workstation
2. Boot - system hangs at Initializing swap partition step
3.
	

Actual Results:  lock

Expected Results:  normal boot

The following error messageq are visible:
ACPI: System description tables found
ACPI: System descripttion tables loaded
ACPI: Subsytem enabled
ACPI: System firmware supports: C2
ACPI: System fireware supports S0 S1 S5
[about a 5 second pause....]
ide_dmaproc: chipset supported ide_dma_lostirq func only: 13

All BIOS settings for IDE are in "AUTO"
ide0 hda: Maxtor 92041U4 20G 7200rpm using udma2
ide0 hdb: Sony CD-ROM DCU4311

hard drive and CD-ROM have been in use for some time (system is being 
upgraded (fresh install) from 6.1).  In the past, however, this drive was 
mounted on the secondary controller as the master and was used for a 
network samba share.

I tried booting with the "nousb" option, same error.  A google search 
revealed several messages about this issue, but no resolution.  Bugzilla 
search revealed one bug with the lost irq msg that was diagnosed as a bad 
cd-rom (the install was failing).  My install runs fine (and the system 
boots in uniprocessor mode fine).
Comment 1 Arjan van de Ven 2001-02-20 04:17:30 EST
Sounds like a ACPI bug. Can you please try the latest kernel from Rawhide?
Comment 2 Daniel Weber 2001-02-20 22:23:29 EST
Upgrading the motherboard BIOS from version 1005 to 1008 seems to have fixed the
problem.  The system boots fine now from the SMP kernel.  There remain some
disturbing log entries in /var/log/messages:
Feb 20 20:57:23 localhost gnome-name-server[995]: name server starting
Feb 20 20:57:23 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:23 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:23 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:23 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:23 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:23 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:23 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:23 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:23 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:23 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:23 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:23 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:23 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:23 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:23 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:24 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:24 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:24 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:24 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:24 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:24 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:24 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:24 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:24 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:24 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:24 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:24 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:24 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:24 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:24 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:24 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:24 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:24 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:24 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:24 localhost kernel: attempt to access beyond end of device
Feb 20 20:57:24 localhost kernel: 03:05: rw=0, want=0, limit=19912536
Feb 20 20:57:24 localhost kernel: hda: status error: status=0x58 { DriveReady
SeekComplete DataRequest}
Feb 20 20:57:24 localhost kernel: hda: drive not ready for command
Feb 20 20:57:24 localhost kernel: hdb: ATAPI 8X CD-ROM drive, 256kB Cache, DMA
Feb 20 20:57:24 localhost kernel: Uniform CD-ROM driver Revision: 3.12
Feb 20 21:12:03 localhost su(pam_unix)[1159]: session opened for user root by
(uid=501)
Comment 3 Arjan van de Ven 2001-02-21 03:23:46 EST
Ok, if the bios upgrade fixed it, the bios had an ACPI bug and therefore
ACPI was the culprit. (and as it was the bios fault, "NOTABUG")

Please file a separate bug for the other messages, as to not confuse the issues.
(And are those reproducable with a recent Rawhide kernel)

Note You need to log in before you can comment on or make changes to this bug.